package com.red.circle.game.fruit.infrastructure.database.repository;

import com.red.circle.framework.mybatis.service.BaseService;
import com.red.circle.game.fruit.infrastructure.database.entity.GameFruitAwardRecord;
import java.util.List;

/**
 * <p>
 * 游戏每轮中奖名单 服务类.
 * </p>
 *
 * @author lisizhe on 2023-11-30 19:18
 */
public interface GameFruitAwardRecordService extends BaseService<GameFruitAwardRecord> {

  /**
   * 新增待领取记录
   */
  void sendWaitingPrize(List<GameFruitAwardRecord> gameFruitAwardRecords);

  /**
   * 查询待领取数据
   */
  List<GameFruitAwardRecord> listWaitingUser(Long gameId, String claimStatus);

  /**
   * 修改领取状态为已领取
   */
  void updateClaimStatus(Long gameId);

  /**
   * 统计每周赢的轮数
   */
  long countWeekWinRounds(Long userId);
}
